[pkg-kolab] r272 - trunk/kolab-webadmin/debian

Steffen Joeris white-guest at costa.debian.org
Wed Feb 1 17:02:56 UTC 2006


Author: white-guest
Date: 2006-02-01 17:02:55 +0000 (Wed, 01 Feb 2006)
New Revision: 272

Added:
   trunk/kolab-webadmin/debian/postinst
Log:
* add postinst for creating link


Added: trunk/kolab-webadmin/debian/postinst
===================================================================
--- trunk/kolab-webadmin/debian/postinst	2006-02-01 16:45:09 UTC (rev 271)
+++ trunk/kolab-webadmin/debian/postinst	2006-02-01 17:02:55 UTC (rev 272)
@@ -0,0 +1,45 @@
+#! /bin/sh
+# postinst script for test
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+    configure)
+	
+	if [ -e /etc/apache2/conf.d/kolab-webadmin.conf ] ; then
+		ln -s /etc/apache2/conf.d/kolab-webadmin.conf /etc/kolab-webadmin/apache.conf
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+




More information about the pkg-kolab-devel mailing list